using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Core.Mes.ClientFrameWork
{
	/// <summary>
	/// Core Mes 平台所有业务子窗体的基类
	/// </summary>
	public class FrmBase : System.Windows.Forms.Form
	{
		private System.ComponentModel.IContainer components;

		public FrmBase()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
            this.SuspendLayout();
            // 
            // FrmBase
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
            this.ClientSize = new System.Drawing.Size(1012, 733);
            this.Name = "FrmBase";
            this.Text = "FrmBase";
            this.WindowState = System.Windows.Forms.FormWindowState.Maximized;
            this.ResumeLayout(false);

		}
		#endregion


		#region "	RemotingGate "

		public string Key = "";
		public bool On_Off_Thread = false;
		public Form _ParentForm;
		#endregion

		
	}
}
